﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
        }
        .table
        {
            border: 1px solid #ccc;
            border-collapse: collapse;
            width: 200px;
        }
        .table th
        {
            background-color: #F7F7F7;
            color: #333;
            font-weight: bold;
        }
        .table th, .table td
        {
            padding: 5px;
            border: 1px solid #ccc;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:DataList ID="dlCustomers" runat="server" DataSourceID="SqlDataSource1" RepeatColumns="3"
        CellSpacing="3" RepeatLayout="Table">
        <ItemTemplate>
            <table class="table">
                <tr>
                    <th colspan="2">
                        <b>
                            <%# Eval("ContactName") %></b>
                    </th>
                </tr>
                <tr>
                    <td colspan="2">
                        <%# Eval("City") %>,
                        <%# Eval("PostalCode") %><br />
                        <%# Eval("Country")%>
                    </td>
                </tr>
                <tr>
                    <td>
                        Phone:
                    </td>
                    <td>
                        <%# Eval("Phone")%>
                    </td>
                </tr>
                <tr>
                    <td>
                        Fax:
                    </td>
                    <td>
                        <%# Eval("Fax")%>
                    </td>
                </tr>
            </table>
        </ItemTemplate>
    </asp:DataList>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:constr %>"
        SelectCommand="SELECT TOP 9 * FROM Customers"></asp:SqlDataSource>
    </form>
</body>
</html>
